#include "testwidget.h"
#include <QPainter>

TestWidget::TestWidget(QWidget *parent) : QWidget(parent)
{
}

QSize TestWidget::sizeHint() const
{
    return QSize(100, HEIGHT*LINES);
}

void TestWidget::gotoLine(int number)
{
    move(x(), -(number-1) * HEIGHT);

    /*QWidget *scrollArea = qobject_cast<QWidget *>(parent());
    scrollArea->scroll(0, -(number-1) * HEIGHT);*/
}

void TestWidget::paintEvent(QPaintEvent *)
{
    QPainter painter(this);
    for (int i = 1; i <= LINES; ++i)
        painter.drawText(0, HEIGHT*i, QString::number(i));
}
